<?php
require_once ("../../config/Cado.php");
require_once ("../notalmacen/cNotaalmacen.php");
$oNotaalmacen = new cNotaalmacen();
//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar
class ElementoAutocompletar {
   var $value;
   var $label;
   var $id;
   
   function __construct($label, $value, $id){
      $this->label = $label;
      $this->value = $value;
      $this->id = $id;
   }
}
//recibo el dato que deseo buscar sugerencias
$datoBuscar = $_GET["term"];
//busco un valor aproximado al dato escrito
$rs=$oNotaalmacen->complete_area($datoBuscar);
//creo el array de los elementos sugeridos
$arrayElementos = array();
//bucle para meter todas las sugerencias de autocompletar en el array
while ($fila = mysqli_fetch_array($rs)){
   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_notaalmacen_area"], $fila["tb_notaalmacen_area"],$fila["tb_notaalmacen_id"]));
}
print_r(json_encode($arrayElementos));
?>